:root {
    --building-color: #ff9800;
    --house-color: #0288d1;
    --shop-color: #7b1fa2;
    --warehouse-color: #558b2f;
}

/*
 * Property styles in unhighlighted state.
 */
.location { align-items: center; background-color: #DB1F34; border-radius: 50%; color: #263238; font-size: 14px; gap: 15px; height: 30px; justify-content: center; padding: 4px; position: relative; position: relative; transition: all 0.3s ease-out; width: 30px; transform: translateY(-9px);
}
.location.filterDiv { display: none; }
.location.show { display: flex; }

.location::after {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #DB1F34;
    content: '';
    height: 0;
    left: 50%;
    position: absolute;
    top: 95%;
    transform: translate(-50%, 0);
    transition: all 0.3s ease-out;
    width: 0;
    z-index: 1;
}

.location .icon { background: #DB1F34; align-items: center; display: flex; justify-content: center; }
.location .icon img { width: 20px; height: 20px; }

.location .details {
    display: none;
    flex-direction: column;
    flex: 1;
}
.location .details a, .location .details a:hover { text-decoration: none; }

.location .address {
    color: #231F20;
    font-size: 12px;
    margin-top: 5px;
}
.location .hours, .location .phone { color: #231F20; font-size: 12px; }

.location .details .locLink { font-weight: 700; font-size: 12px; margin-top: 5px; }

.location .features {
    align-items: flex-end;
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.location .features > div {
    align-items: center;
    background: #f5f5f5;
    border-radius: 5px;
    border: 1px solid #ccc;
    display: flex;
    font-size: 10px;
    gap: 5px;
    padding: 5px;
}

/*
 * Property styles in highlighted state.
 */
.location.highlight {
    background-color: #ffffff;
    border-radius: 8px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
    height: 80px;
    padding: 8px 15px;
    width: auto;
}

.location.highlight::after {
    border-top: 9px solid #ffffff;
}

.location.highlight .details {
    display: flex;
}

.location.highlight .icon svg {
    width: 50px;
    height: 50px;
}